package com.qmth.jkserver.params.callApi;

import com.qmth.jkserver.annotation.DBVerify;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 云阅卷-新增/编辑科目接口参数
 * @Author: CaoZixuan
 * @Date: 2021-05-11
 */
public class SaveSubjectParams {
    @ApiModelProperty(value = "考试id",required = true)
    @DBVerify(value = "考试id",required = true)
    private int examId;

    @DBVerify(value = "科目代码",required = true)
    private String code;

    @DBVerify(value = "科目名称",required = true)
    private String name;

    @ApiModelProperty(value = "备注")
    @DBVerify(value = "备注")
    private String remark;

    public int getExamId() {
        return examId;
    }

    public void setExamId(int examId) {
        this.examId = examId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
